%---- file name: lcc_state.ec ----

parse lcc_state = 
let rec {
 LCC_IDLE = lcc_idle! : LCC_IDLE +
            s_wait_the_timer? : WAIT_THE_TIMER +
            s_closure_req? : CLOSURE_REQ +
            s_open_req? :  OPEN_REQ +
            s_doing_open? : DOING_OPEN +
            s_open_done? :  OPEN_DONE +
            s_lcc_idle? : LCC_IDLE
and 

 WAIT_THE_TIMER = wait_the_timer! : WAIT_THE_TIMER +
                  s_wait_the_timer? : WAIT_THE_TIMER +
                  s_closure_req? :  CLOSURE_REQ +
                  s_open_req? : OPEN_REQ +
                  s_doing_open? : DOING_OPEN +
                  s_open_done? : OPEN_DONE +
                  s_lcc_idle? : LCC_IDLE
and

 CLOSURE_REQ =  closure_req! : CLOSURE_REQ +
                s_wait_the_timer? : WAIT_THE_TIMER +
                s_closure_req? : CLOSURE_REQ +
                s_open_req? : OPEN_REQ +
                s_doing_open? : DOING_OPEN +
                s_open_done? : OPEN_DONE +
                s_lcc_idle? : LCC_IDLE
and

 OPEN_REQ = open_req! : OPEN_REQ +
            s_wait_the_timer? : WAIT_THE_TIMER +
            s_closure_req? :  CLOSURE_REQ +
            s_open_req? : OPEN_REQ +
            s_doing_open? : DOING_OPEN +
            s_open_done? : OPEN_DONE +
            s_lcc_idle? : LCC_IDLE
and
 DOING_OPEN = doing_open! : DOING_OPEN +
              s_wait_the_timer? : WAIT_THE_TIMER +
              s_closure_req? : CLOSURE_REQ +
              s_open_req? : OPEN_REQ +
              s_doing_open? : DOING_OPEN +
              s_open_done? : OPEN_DONE +
              s_lcc_idle? : LCC_IDLE
and

 OPEN_DONE = open_done! : OPEN_DONE +
             s_wait_the_timer? : WAIT_THE_TIMER +
             s_closure_req? : CLOSURE_REQ +
             s_open_req? : OPEN_REQ +
             s_doing_open? : DOING_OPEN +
             s_open_done? : OPEN_DONE +
             s_lcc_idle? : LCC_IDLE

} in LCC_IDLE;

%---- end of file lcc_state.ec ----

